Subject: Re: Camera motion in ImageFilter - How?
From: [email-masked] (robert hood)
To: Multiple recipients of list <[email-masked]>
Date: Wed, 17 Apr 1996 13:25:39 -0700

> Another question:
> What would the proper way to access Camera motion data from an image filter
> plug-in?  I know that a procedural motion plug-in gets passed item motion
> access functions but can I get those globally?  Thanks for any help, I have
> checked the docs but couldn't find an answer for this.

Well, if you were using a BML/IF (Image Filter) script, it would be as easy
as:

       var camera = getfirstitem(CAMERA);
       var scene  = getfirstitem(SCENE);
       var frame,xyz[3];

       for frame = 1 to scene.totalFrames do
       begin
           xyz = camera.param(POSITION,(frame / scene.fps));
           info("Camera position at frame ",
                  frame,
                  " is <",xyz[1],",",xyz[2],",",xyz[3],">");
       end
       
Sorry.  Couldn't help myself.  =|^)

Render me gone,                  |||
Bob                            ^(===)^
----------------------------oOO--(_)--OOo--------------------------------------
(Phone) 1.303.989.4191                                     (FAX) 1.303.727.7555
(Email) [email-masked]             (WWW) http://www.mktplace.net/people/bhood
        [email-masked]           http://www.dimensional.com/~vvisions
-------------------------------------------------------------------------------
                "The clue meter is reading zero."  - Dilbert
-------------------------------------------------------------------------------